package com.th.demo.model.ware;

import com.th.demo.model.maint.Customer;
import com.th.demo.model.system.SysUser;

import java.util.Date;

public class CargoChangeRecord {
    private String id; // 主键

    private SysUser modifyUser; // 修改人员

    private Date modifyTime; //修改时间

    private Double weight; // 修改重量

    private String changeFrom;  //修改的源头 1、手动调整 2、货权转移 3、取消货权转移

    private String subStr;  //变动情况 1、增加 2、减少

    private Customer uperCustomer;
    private Customer Customer;

    private String ordNo;
    private String remark;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public SysUser getModifyUser() {
        return modifyUser;
    }

    public void setModifyUser(SysUser modifyUser) {
        this.modifyUser = modifyUser;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Double getWeight() {
        return weight;
    }

    public void setWeight(Double weight) {
        this.weight = weight;
    }

    public String getChangeFrom() {
        return changeFrom;
    }

    public void setChangeFrom(String changeFrom) {
        this.changeFrom = changeFrom;
    }

    public String getSubStr() {
        return subStr;
    }

    public void setSubStr(String subStr) {
        this.subStr = subStr;
    }

    public Customer getUperCustomer() {
        return uperCustomer;
    }

    public void setUperCustomer(Customer uperCustomer) {
        this.uperCustomer = uperCustomer;
    }

    public Customer getCustomer() {
        return Customer;
    }

    public void setCustomer(Customer customer) {
        Customer = customer;
    }

    public String getOrdNo() {
        return ordNo;
    }

    public void setOrdNo(String ordNo) {
        this.ordNo = ordNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}
